--[[
BY
 _____   _____   __   _  
|  _  \ /  _  \ |  \ | | 
| | | | | | | | |   \| | 
| | | | | | | | | |\   | 
| |_| | | |_| | | | \  | 
|_____/ \_____/ |_|  \_| 

]]

local Container_Don = Class(function(self, inst)
    self.inst = inst
end)

--[[function Container_Don:OnRemoveFromEntity()

end]]

function Container_Don:SetOnMagicCook()
	if self.onmagiccookfn ~= nil and self.inst.components.container:IsFull() then
        self.onmagiccookfn(self.inst)
    end
	
	self.inst:PushEvent("onmagiccook")
	
end

return Container_Don